==WackoWiki R4.2==

===Что это?===

Маленький, легкий, удобный, легкорасширяемй клон Wiki на php.

Данный дистрибутив происходит от WakkaWiki.

Подпишитесь на RSS-фид http://wackowiki.com/wackowiki/updates/revisions.xml, чтобы узнать, когда выйдет новая версия Ваки.

===Авторы===

В команде разработчиков **WackoWiki**:
  * RomanIvanov - maintainer, lead developer
  * KusoMendokusee - ideologist, designer, co-developer
  * YuliaShabunio - co-developer
  * AlekseyKulakov - designer

Подробнее см. http://wackowiki.com/Team

===Что нового в R4.2 по сравнению с R4?===
  * WackoWiki теперь работает под PHP5
  * WackoWiki теперь работает под mysql 4.1 (только с локалью БД Latin-1)
  * Исправлен ряд XSS
  * Поддержка импорта (акшн ""{{import}}"") и экспорта (доступен из списка свойств страницы).
  * Исправлено очень много различных ошибок и недоработок, в том числе:
    * иногда об одном событии приходило несколько писем
    * невозможно задать anchor в ~InterWiki-адресах
    * html- и css-форматтеры портили русские буквы
    * несколько страниц выдавали некорректный XHTML
  * Safehtml обновлён до версии 1.3.1
  * Все комментарии в исходниках переведены на английский
  * Добавлено RSS autodiscovery
  * Акшны:
    * Добавлена листалка в Каталоге (акшн ##pageindex##)
    * Исправлен ##backlinks## -- теперь в нём не будет пустых ссылок
    * Новый акшн ##UserGroups## -- выводит списки групп пользователей
  * Переводы:
    * Эстонский
    * Португальский
    * Болгарский
  * Форматтеры:
    * ##icq## formatter now works with History++ Miranda plugin logs
    * WackoFormatter теперь поддерживает списки с трёхзначными номерами и задание цвета текста через ""!!(blue) синтаксис!!""
    * появилась архитектура врапперов
    * появилось выравнивание по центру и по правому краю при помощи врапперов.
    * WackoFormatter теперь закрывает все таблицы, и некорректным кодом нельзя сломать оформление страницы
  * И многое другое.


===Что нового в R4 по сравнению с R3.5?===

  * Исправлен XSS в поиске
  * Внедрена поддержка ((http://www.npj.ru/kukutz/safehtml SafeHTML)) - теперь вставки HTML в """<# #>"" можно использовать безопасно
  * Изменения правил форматирования текста:
    1. теперь в заголовках справа не обязательно должно быть такое же количество знаков "="
    2. добавлено однострочное цитирование - один или больше знаков ">" в начале строки
    3. теперь при помощи знака ~ можно экранировать даже двойные кавычки, ""{{ и %%"".
    4. в ICQ и Email хайлайтерах теперь подсвечиваются адреса URL.
  * Обновлены и улучшены языковые файлы для молдавского и польского языков.
  * Акшн ""{{admincache}}"" для очистки кеша.
  * При включенном параметре ##debug=1## Вака сообщает, сколько памяти "откушало" формирование данной страницы.
  * Администратор теперь может менять ACL любой страницы.
  * ""%%(box align=... width=...) text %%""
  * Ещё больше совместимости с XHTML
  * Автоматическая плавная прокрутка при переходе по ссылке в пределах одной страницы.
  * Практически полное соответствие выводимого кода стандарту XHTML 1.0 Transitional.
  * Статический кеш страниц для незарегистрированных пользователей. Включается опцией конфигурационного файла ##cache=1##
  * Возможность отключения комментариев к конкретной странице: ""{{nocomment}}""
  * Возможность смены ACL для целого кластера.
  * Опция отключения регистрации ##allow_registration##
  * Hurrah! Режим **preview** вернулся.
  * Новая опция ##owners_can_remove_comments## - позволяет владельцу страницы удалять комментарии к ней
  * Не работало наблюдение за "подзамочными" страницами - исправлено.
  * Новая шкура yellow: by Konstantin Kolomeetz.
  * Добавлена подсветка css, diff, dtd, php, javascript, mysql, sql, python, xml.
  * Добавлена подсветка ini, html и css.
  * Исправлено несколько очень неприятных ошибок
  * Исправлена проблема с ~Apache1 и lowercase имён страниц (спасибо Bolk-у)
  * Внедрён WikiEdit 2.0 
  * Синтаксис для "маленького" текста: ""++small++""
  * Синтаксис для "дефиниции": ""(?RTFM Read The Fcuking Manual?)""
  * Синтаксис для "примечаний": ""текст[[*]] ещё текст[[*1]]"" --- ""[[#*]] Сноска звёздочка"" --- ""[[#1]] Сноска циферка""
  * Интерфейсные улучшения по загрузке файлов
  * Глобальный acl на rename: ##rename_globalacl##
  * Новые конфигурационные параметры ##outlook_workaround##, ##disable_autosubscribe##
  * Исправления ошибок
  * Полноценный, настраиваемый аплоад
  * Четыре новых языка (it, fr, pl, nl).
  * Javascript-редактор WikiEdit, позволяющий использовать сочетания клавиш для быстрой вставки wiki-разметки
  * Поддержка работы в многоязычной среде (когда разные страницы в одной ваке могут иметь разный язык, и, следовательно, разную кодировку)
  * Форматирование текста:
    * форматтер теперь двухпроходный, что позволяет ему меньше ошибаться
    * paragrafica - теперь HTML разделяется не <br>-ами, а разбит на абзацы (что, например, позволяет их автонумеровать)
    * форматтеры, осуществляющие подсветку SQL-кода и программ на языке Pascal или Delphi.
    * форматтеры для лога Trillian и для email-писем
    * синтаксис для <blockquote>
    * синтаксис ссылок вида Actions.NewManual
    * Поддержка ""\\LAN\Path и протокола file://""
  * Валидация емейла
  * Смена пароля, "Забыл пароль?"
  * Большая работа по рефакторингу "акшнов", см. новую документацию на /Actions/NewManual. Как результат, многие акшны теперь работают в отдельных кластерах (например, можно смотреть ~RecentChanges отдельного кластера, и т.п.)
  * Индивидуальные "настройки" каждой страницы, где можно сменить язык, META keywords и description
  * Новые акшны
    * flash, для вставки флеш-роликов
    * hits, mostpopular - подсчёт и отображение количества запросов к страницам
  * Расширены настройки пользователя: например, теперь он может сам выбрать себе "тему" (дизайн) ваки из установленных.
  * Работа под IIS, слабо тестировано.
  * Исправления тысяч ошибок

===Какова лицензия?===

Абсолютно свободная, смотрите файл license в дистрибутиве.
Но есть одна просьба - если вы будете менять и улучшать эту программу,
свяжитесь со мной, чтобы ваши изменения вошли в следующий релиз. 

Свежую версию WackoWiki всегда можно скачать из WackoCVS.

===Что требует движок?===

php4.1+, mysql, желателен apache+mod_rewrite.

===Где скачать?===

Вот тут: http://wackowiki.com/wackowiki

===Координаты===

mailto:thingol@mail.ru
ICQ:551593