<?php
    $data = cgi_param(array(
	array( 'name' => 'body', 'default' => '', 'type' => 'text' ),
	array( 'name' => 'code', 'default' => '', 'type' => 'str' )
    ));

    if (!$this->GetUser()) {
        if ( !isset($_SESSION['code_hidden_field']) or $data['code'] == '' or $data[ 'code' ] != $_SESSION['code_hidden_field'] ) {
            $this->SetMessage($this->GetResourceValue("WrongCodeEx"));
            $this->redirect($this->href());
        }
    }
    if ( $this->HasAccess("comment") )
    {
        $body = trim($data["body"]);

	// Don't add empty comments
        if ($body == '')
        {
	    $this->SetMessage($this->GetResourceValue("EmptyComment"));
	    $this->redirect($this->href());
        }

        // Generate name for new comment
	// FIXME: there is race condition, when two users add comments at same time
        if ($latestComment = $this->LoadSingle("SELECT tag, id FROM ".$this->config["table_prefix"]."pages WHERE comment_on != '' ORDER BY id DESC LIMIT 1")) {
	    preg_match("/^Comment([0-9]+)$/", $latestComment["tag"], $matches);
	    $name = "Comment".($matches[1] + 1);
        } else
	    $num = "Comment1";

	// Store new comment
        $this->SavePage($name, $body, $this->tag);

        // Reload
	$this->redirect($this->href());
    } else {
        $this->_template->setDir( 'handlers/page/tmpl' );
        $this->_template->parse( array( 'filename' => 'addcomment.tmpl' ) );
        $this->_template->param( array(
            'CommentAccessDenied' => $this->GetResourceValue("CommentAccessDenied")
        ));
    } // if has access to comment

    echo $this->_template->output();
?>