<?php

    $UserIsOwner = $this->UserIsOwner();

    $this->_template->setDir( 'handlers/page/tmpl' );
    $this->_template->parse( array( 'filename' => 'massacls.tmpl' ) );

    if ( defined('use_cgi_param') ) {
    		$array[] = array( 'name'	=> 'read_acl',      'default' => '', 'type'	=> 'str' );
    		$array[] = array( 'name'	=> 'write_acl'    ,  'default' => '', 'type'	=> 'str' );
    		$array[] = array( 'name'	=> 'comment_acl'    ,  'default' => '', 'type'	=> 'str' );
    		$array[] = array( 'name'	=> 'newowner'    ,  'default' => '', 'type'	=> 'str' );
        $_REQUEST = cgi_param( $array );
    } // if ( defined('use_cgi_param') )

    if ( $UserIsOwner )
    {
        if ( $_POST )
        {
            $isPost = true;
            $pages = $this->LoadAll("select ".$this->pages_meta." from ".
                      $this->config["table_prefix"]."pages where (supertag = '".quote($this->tag)."'".
                      " OR supertag like '".quote($this->tag."/%")."')".
                      " AND owner='".quote($this->GetUserName())."'".
                      " and comment_on = ''");
            foreach ($pages as $num=>$page)
            {
              // store lists
              $this->SaveAcl($page["tag"], "read", $_POST["read_acl"]);
              $this->SaveAcl($page["tag"], "write", $_POST["write_acl"]);
              $this->SaveAcl($page["tag"], "comment", $_POST["comment_acl"]);
              // change owner?
              if ($newowner = $_POST["newowner"])
                $this->SetPageOwner($page["tag"], $newowner);
            }
            $message = $this->GetResourceValue("ACLUpdated");
            if ($newowner = $_POST["newowner"])
               $message .= $this->GetResourceValue("ACLGaveOwnership").$newowner;

            // redirect back to page
            $this->SetMessage($message."!");
            $this->Redirect($this->Href());
        }
        else
        {
            $isPost = false;

            // load acls
            $readACL = $this->LoadAcl($this->GetPageTag(), "read");
            $writeACL = $this->LoadAcl($this->GetPageTag(), "write");
            $commentACL = $this->LoadAcl($this->GetPageTag(), "comment");

            $this->_template->param(array(
                'FormOpen'  => $this->FormOpen("massacls"),
                'FormClose' => $this->FormClose(),
                'ACLForCluster' => str_replace("%1",$this->Link("/".$this->GetPageTag()),$this->GetResourceValue("ACLForCluster")),
                'ACLRead' => $this->GetResourceValue("ACLRead"),
                'readACL'   => $readACL["list"],
                'writeACL'  => $writeACL["list"],
                'commentACL' => $commentACL["list"],
                'SetOwner'  => $this->GetResourceValue("SetOwner"),
                'users'     => $this->LoadUsers(),
                'OwnerDonChange' => $this->GetResourceValue("OwnerDon'tChange"),
                'ACLRead'   => $this->GetResourceValue("ACLRead"),
                'ACLWrite'  => $this->GetResourceValue("ACLWrite"),
                'ACLComment' => $this->GetResourceValue("ACLComment"),
                'ACLAreYouSure' => $this->GetResourceValue("ACLAreYouSure"),
                'ACLStoreButton' => $this->GetResourceValue("ACLStoreButton"),
                'root_url'  => $this->GetConfigValue("root_url"),
                'ACLCancelButton' => $this->GetResourceValue("ACLCancelButton"),

            ));

        } // if

        $this->_template->param(array(
            'isPost'     => $isPost
        ));
    }
    else
    {
        $this->_template->param(array(
            'ACLAccessDenied' => $this->GetResourceValue("ACLAccessDenied")
        ));

    } // if

    $this->_template->param(array(
       'UserIsOwner' => $UserIsOwner
    ));

    echo $this->_template->output();
?>
