<?php
/*****************************************************************************/
/*  This code not for use in production! It writed only for idea documenting */
/*****************************************************************************/
/* TODO: host в настройках */
/* TODO: возможность выбирать persistent и обычные соединения, с fallback */

class C_Database {
	/* Database object */
	var	$_db;
	var $_debug;

	function _query($query)
	{
		if( isset($this->_debug) )
		{
			echo "<pre>".htmlspecialchars($query)."</pre><br>";
		}
		$rc = pg_query($this->_db, $query);
		if( !$rc  )
		{
			echo "<pre style=\"color:#CC0000\">".htmlspecialchars($query)."</pre><br>";
			echo "<pre style=\"color:#CC0000\">".htmlspecialchars(pg_last_error($this->_db))."</pre><br>";
			if( pg_connection_status($this->_db) == PGSQL_CONNECTION_BAD )
			{
				echo "Connection closed\n";
				die();
			}
		}
		if( isset($this->_debug) )
		{
			echo "<pre>".htmlspecialchars(pg_last_error())."</pre><br>";
		}
		return $rc;
	}
	function rollback()
	{
		return $this->_query('ROLLBACK');
	}
	function begin()
	{
		return $this->_query('BEGIN');
	}
	function commit()
	{
		return $this->_query('COMMIT');
	}
	function quote_data($data)
	{
		if( is_null( $data ) )
		{
			return 'NULL';
		} else {
			return "'".addslashes($data). "'";
		}
	}

	/* Quoting for datebase/table/column names */
	function quote_name($data)
	{
		//	return '"'.addslashes($data). '"';
		return $data;
	}

	function C_Database($dbname, $dbuser, $dbpassword = '')
	{
		$this->_db = pg_pconnect("dbname=$dbname user=$dbuser password=$dbpassword")
			or die('Could not connect: '. pg_last_error());

		pg_set_client_encoding($this->_db, 'UTF-8');
	}

	function sql_where($where)
	{
		/* If we 'where' not defined -- we don't need to define that */
		if( is_null( $where ) )
			return "";

		/* If this is SQL string we doesn't need to do anything */
		if( ! is_array( $where ) )
			return $where;

		/* If we 'where' not defined -- we don't need to define that */
		if( count($where) == 0)
			return "";

		$tmp = array();
		foreach( $where as $column => $value )
		{
			$tmp[] = $this->quote_name($column)
			.( is_null($value)
				? ' IS NULL' : 
				" = '".addslashes($value). "'"  );
		}
		return " WHERE ". join(' AND ', $tmp);
	}

	function update_column($table, $column, $to, $where)
	{
		/* If SET not change anything -- escape */
		if ( is_array($where) and isset($where[$column]) and $where[$column] === $to )
			return 0;

		$where = $this->sql_where($where);

		$query = "UPDATE ".$this->quote_name($table).
				 " SET ".$this->quote_name($column).' = '
				 .$this->quote_data($to)
				 .$where;
  		$rc = $this->_query($query);
	  	return $rc;
	}

	/* Queries -- can return data, not need for transaction start/end */
	function query() {
		// TODO: repeat, if transaction failed
		$num = func_num_args();
		if( $num < 1 ) {
			die('bug!');
		}
		$p = func_get_args();
		if( $this->_debug )
		{
			print "<pre>";
			print $num;
			print_r($p);
			print "</pre>";
		}
		if( $num == 1 and is_array($p[0]) ) {
			$p = $p[0];
		}
		$query = array_shift($p);

		if( $num == 2 and is_array($p[0]) ) {
			$p = $p[0];
		}

		for($i = 1; count($p) > 0; $i++ ) {
			$tmp = array_shift($p);
			if( is_null($tmp) ) {
				$query = ereg_replace('\$'.$i, "NULL", $query);
			} else {
				$query = ereg_replace('\$'.$i, "'".addslashes($tmp)."'", $query);
			}
		}
  		return($this->_query($query));
	}

	function query_as_array()
	{
		$p = func_get_args();
		if( count($p) == 0 )
		{
			die("query_as_array() runned withoutquery");
		}
		$query = array_shift($p);
		if (count($p) == 1 and is_array($p[0]) )
		{
			$p = $p[0];
		}
		$rc = $this->query($query, $p);
		$array = array();
		while( $tmp = pg_fetch_array( $rc) )
		{
			$array[] = $tmp;
		}
		return($array);
	}

	
	// Actions not return rows, needs for transaction start/end
	function action() {
		$rc = $this->query( func_get_args() );
		return $rc;
	}

	function insert($table, $data)
	{
		$q = "INSERT INTO $table (";
		foreach( $data as $k => $d )
		{
			$a1[] = $k;
			$a2[] = $this->quote_data($d);
	    }
		$q .= join(', ', $a1);
		$q .= ") VALUES (";
		$q .= join(', ', $a2);
		$q .= ")";

		return $this->action( $q );
	}
	function sql_as_select($name,$qr,$sid,$sn,$parm,$test) {
		$rc = '';
		$rc .= "<select name=\"$name\" $parm>";
		while( $line = pg_fetch_assoc($qr) ) {
			$rc .= "<option ".
				($line[$sid]==$test?'SELECTED':'').
				" value=\"$line[$sid]\">$line[$sn]</option>";
		}
		$rc .= "</select>";
	}
	function query_next_id($sql)
	{
		$tmp = $this->query_as_array($sql);
		return count($tmp) == 0? 1: $tmp[0][0];
	}   
}
?>
